Subject: Re: [PATCH v2 bpf-next 0/3] libbpf: add perf buffer abstraction and API

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Wed, 26 Jun 2019 13:55:46 +0200

Andrii Nakryiko <[email-masked]> writes:

> This patchset adds a high-level API for setting up and polling perf buffers
> associated with BPF_MAP_TYPE_PERF_EVENT_ARRAY map. Details of APIs are
> described in corresponding commit.
>
> Patch #1 adds a set of APIs to set up and work with perf buffer.
> Patch #2 enhances libbpf to supprot auto-setting PERF_EVENT_ARRAY map size.
> Patch #3 adds test.

Having this in libbpf is great! Do you have a usage example of how a
program is supposed to read events from the buffer? This is something we
would probably want to add to the XDP tutorial

-Toke